com.microfocus.awm.meta.impl

## Class RToolParameterImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.DynamicObjectImpl
          - - com.microfocus.awm.meta.impl.RToolParameterImpl

- All Implemented Interfaces:
    AWMObject, DynamicObject, IFunctionPackageDefinable, RToolParameter, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject
  Direct Known Subclasses:
    RToolInParameterImpl, RToolOutParameterImpl

      public abstract class RToolParameterImpl
      extends DynamicObjectImpl
      implements RToolParameter

  An implementation of the model object 'RTool Parameter'.

  The following features are implemented:

  - `Extension ID`
  - `Target ID File`
  - `Target ID Parm`
  - `Seq No`
  - `Type`
  - `Label`
  - `Mass Processing`
  - `Complex Attribute`
  - `Ui Category`
  - `Ui Resizable`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `basicGetTargetIDFile()`
    `Property` | `basicGetTargetIDParm()`
    `int` | `eBaseStructuralFeatureID(int derivedFeatureID, java.lang.Class<?> baseClass)`
    `int` | `eDerivedStructuralFeatureID(int baseFeatureID, java.lang.Class<?> baseClass)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `org.eclipse.emf.common.util.EList<ComplexAttributeBase>` | `getComplexAttribute()`
    `java.lang.String` | `getExtensionID()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getParsedCategory()` Returns the UI_Category attribute value without column or span specifications.
    `int` | `getSeqNo()`
    `FileDescriptor` | `getTargetIDFile()`
    `Property` | `getTargetIDParm()`
    `EParameterTypes` | `getType()`
    `java.lang.String` | `getUiCategory()`
    `boolean` | `isMassProcessing()`
    `boolean` | `isSetSeqNo()`
    `boolean` | `isSetType()`
    `boolean` | `isSetUiResizable()`
    `boolean` | `isUiResizable()`
    `void` | `setExtensionID(java.lang.String newExtensionID)`
    `void` | `setLabel(java.lang.String newLabel)`
    `void` | `setMassProcessing(boolean newMassProcessing)`
    `void` | `setSeqNo(int newSeqNo)`
    `void` | `setTargetIDFile(FileDescriptor newTargetIDFile)`
    `void` | `setTargetIDParm(Property newTargetIDParm)`
    `void` | `setType(EParameterTypes newType)`
    `void` | `setUiCategory(java.lang.String newUiCategory)`
    `void` | `setUiResizable(boolean newUiResizable)`
    `java.lang.String` | `toString()`
    `void` | `unsetSeqNo()`
    `void` | `unsetType()`
    `void` | `unsetUiResizable()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.DynamicObjectImpl

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.DynamicObject

      `getComplexAttributes, getDynamicAttributes, getDynamicValue, setDynamicValue`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getExtensionID

          public java.lang.String getExtensionID()

      Specified by:
        `getExtensionID` in interface `IFunctionPackageDefinable`
      Returns:
        the value of the 'Extension ID' attribute.
      See Also:
        `IFunctionPackageDefinable.setExtensionID(String)`, `TaurusPackage.getIFunctionPackageDefinable_ExtensionID()`

    - #### setExtensionID

          public void setExtensionID(java.lang.String newExtensionID)

      Specified by:
        `setExtensionID` in interface `IFunctionPackageDefinable`
      Parameters:
        `newExtensionID` - the new value of the 'Extension ID' attribute.
      See Also:
        `IFunctionPackageDefinable.getExtensionID()`

    - #### getTargetIDFile

          public FileDescriptor getTargetIDFile()

      Specified by:
        `getTargetIDFile` in interface `RToolParameter`
      Returns:
        the value of the 'Target ID File' reference.
      See Also:
        `RToolParameter.setTargetIDFile(FileDescriptor)`, `TaurusPackage.getRToolParameter_TargetIDFile()`

    - #### basicGetTargetIDFile

          public FileDescriptor basicGetTargetIDFile()

    - #### setTargetIDFile

          public void setTargetIDFile(FileDescriptor newTargetIDFile)

      Specified by:
        `setTargetIDFile` in interface `RToolParameter`
      Parameters:
        `newTargetIDFile` - the new value of the 'Target ID File' reference.
      See Also:
        `RToolParameter.getTargetIDFile()`

    - #### getTargetIDParm

          public Property getTargetIDParm()

      Specified by:
        `getTargetIDParm` in interface `RToolParameter`
      Returns:
        the value of the 'Target ID Parm' reference.
      See Also:
        `RToolParameter.setTargetIDParm(Property)`, `TaurusPackage.getRToolParameter_TargetIDParm()`

    - #### basicGetTargetIDParm

          public Property basicGetTargetIDParm()

    - #### setTargetIDParm

          public void setTargetIDParm(Property newTargetIDParm)

      Specified by:
        `setTargetIDParm` in interface `RToolParameter`
      Parameters:
        `newTargetIDParm` - the new value of the 'Target ID Parm' reference.
      See Also:
        `RToolParameter.getTargetIDParm()`

    - #### getSeqNo

          public int getSeqNo()

      Specified by:
        `getSeqNo` in interface `RToolParameter`
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `RToolParameter.isSetSeqNo()`, `RToolParameter.unsetSeqNo()`, `RToolParameter.setSeqNo(int)`, `TaurusPackage.getRToolParameter_SeqNo()`

    - #### setSeqNo

          public void setSeqNo(int newSeqNo)

      Specified by:
        `setSeqNo` in interface `RToolParameter`
      Parameters:
        `newSeqNo` - the new value of the 'Seq No' attribute.
      See Also:
        `RToolParameter.isSetSeqNo()`, `RToolParameter.unsetSeqNo()`, `RToolParameter.getSeqNo()`

    - #### unsetSeqNo

          public void unsetSeqNo()

      Specified by:
        `unsetSeqNo` in interface `RToolParameter`
      See Also:
        `RToolParameter.isSetSeqNo()`, `RToolParameter.getSeqNo()`, `RToolParameter.setSeqNo(int)`

    - #### isSetSeqNo

          public boolean isSetSeqNo()

      Specified by:
        `isSetSeqNo` in interface `RToolParameter`
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `RToolParameter.unsetSeqNo()`, `RToolParameter.getSeqNo()`, `RToolParameter.setSeqNo(int)`

    - #### getType

          public EParameterTypes getType()

      Specified by:
        `getType` in interface `RToolParameter`
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EParameterTypes`, `RToolParameter.isSetType()`, `RToolParameter.unsetType()`, `RToolParameter.setType(EParameterTypes)`, `TaurusPackage.getRToolParameter_Type()`

    - #### setType

          public void setType(EParameterTypes newType)

      Specified by:
        `setType` in interface `RToolParameter`
      Parameters:
        `newType` - the new value of the 'Type' attribute.
      See Also:
        `EParameterTypes`, `RToolParameter.isSetType()`, `RToolParameter.unsetType()`, `RToolParameter.getType()`

    - #### unsetType

          public void unsetType()

      Specified by:
        `unsetType` in interface `RToolParameter`
      See Also:
        `RToolParameter.isSetType()`, `RToolParameter.getType()`, `RToolParameter.setType(EParameterTypes)`

    - #### isSetType

          public boolean isSetType()

      Specified by:
        `isSetType` in interface `RToolParameter`
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `RToolParameter.unsetType()`, `RToolParameter.getType()`, `RToolParameter.setType(EParameterTypes)`

    - #### getLabel

          public java.lang.String getLabel()

      Specified by:
        `getLabel` in interface `RToolParameter`
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `RToolParameter.setLabel(String)`, `TaurusPackage.getRToolParameter_Label()`

    - #### setLabel

          public void setLabel(java.lang.String newLabel)

      Specified by:
        `setLabel` in interface `RToolParameter`
      Parameters:
        `newLabel` - the new value of the 'Label' attribute.
      See Also:
        `RToolParameter.getLabel()`

    - #### isMassProcessing

          public boolean isMassProcessing()

      Specified by:
        `isMassProcessing` in interface `RToolParameter`
      Returns:
        the value of the 'Mass Processing' attribute.
      See Also:
        `RToolParameter.setMassProcessing(boolean)`, `TaurusPackage.getRToolParameter_MassProcessing()`

    - #### setMassProcessing

          public void setMassProcessing(boolean newMassProcessing)

      Specified by:
        `setMassProcessing` in interface `RToolParameter`
      Parameters:
        `newMassProcessing` - the new value of the 'Mass Processing' attribute.
      See Also:
        `RToolParameter.isMassProcessing()`

    - #### getComplexAttribute

          public org.eclipse.emf.common.util.EList<ComplexAttributeBase> getComplexAttribute()

      Specified by:
        `getComplexAttribute` in interface `RToolParameter`
      Returns:
        the value of the 'Complex Attribute' containment reference list.
      See Also:
        `TaurusPackage.getRToolParameter_ComplexAttribute()`

    - #### getUiCategory

          public java.lang.String getUiCategory()

      Specified by:
        `getUiCategory` in interface `RToolParameter`
      Returns:
        the value of the 'Ui Category' attribute.
      See Also:
        `RToolParameter.setUiCategory(String)`, `TaurusPackage.getRToolParameter_UiCategory()`

    - #### setUiCategory

          public void setUiCategory(java.lang.String newUiCategory)

      Specified by:
        `setUiCategory` in interface `RToolParameter`
      Parameters:
        `newUiCategory` - the new value of the 'Ui Category' attribute.
      See Also:
        `RToolParameter.getUiCategory()`

    - #### isUiResizable

          public boolean isUiResizable()

      Specified by:
        `isUiResizable` in interface `RToolParameter`
      Returns:
        the value of the 'Ui Resizable' attribute.
      See Also:
        `RToolParameter.isSetUiResizable()`, `RToolParameter.unsetUiResizable()`, `RToolParameter.setUiResizable(boolean)`, `TaurusPackage.getRToolParameter_UiResizable()`

    - #### setUiResizable

          public void setUiResizable(boolean newUiResizable)

      Specified by:
        `setUiResizable` in interface `RToolParameter`
      Parameters:
        `newUiResizable` - the new value of the 'Ui Resizable' attribute.
      See Also:
        `RToolParameter.isSetUiResizable()`, `RToolParameter.unsetUiResizable()`, `RToolParameter.isUiResizable()`

    - #### unsetUiResizable

          public void unsetUiResizable()

      Specified by:
        `unsetUiResizable` in interface `RToolParameter`
      See Also:
        `RToolParameter.isSetUiResizable()`, `RToolParameter.isUiResizable()`, `RToolParameter.setUiResizable(boolean)`

    - #### isSetUiResizable

          public boolean isSetUiResizable()

      Specified by:
        `isSetUiResizable` in interface `RToolParameter`
      Returns:
        whether the value of the 'Ui Resizable' attribute is set.
      See Also:
        `RToolParameter.unsetUiResizable()`, `RToolParameter.isUiResizable()`, `RToolParameter.setUiResizable(boolean)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMObjectImpl`

    - #### eBaseStructuralFeatureID

          public int eBaseStructuralFeatureID(int derivedFeatureID,
                                              java.lang.Class<?> baseClass)

      Specified by:
        `eBaseStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eBaseStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eDerivedStructuralFeatureID

          public int eDerivedStructuralFeatureID(int baseFeatureID,
                                                 java.lang.Class<?> baseClass)

      Specified by:
        `eDerivedStructuralFeatureID` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eDerivedStructuralFeatureID` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMObjectImpl`

    - #### getParsedCategory

          public java.lang.String getParsedCategory()

      Description copied from interface: `RToolParameter`
      Returns the UI_Category attribute value without column or span specifications.
      Specified by:
        `getParsedCategory` in interface `RToolParameter`
      Returns:
        the category without column or span specifications

Copyright © 2015 Micro Focus GmbH. All rights reserved.